## org.apache.lucene.store.db
Class DbIndexInput

    java.lang.Object
      org.apache.lucene.store.IndexInput
          org.apache.lucene.store.db.DbIndexInput

All Implemented Interfaces:
  java.lang.Cloneable

    public class DbIndexInput

extends org.apache.lucene.store.IndexInput

Field Summary
`protected Block` `block`
`protected DbDirectory` `directory`
`protected File` `file`
`protected long` `length`
`protected long` `position`

Constructor Summary
`protected` `DbIndexInput(DbDirectory directory, java.lang.String name)`

Method Summary
`java.lang.Object` `clone()`
`void` `close()`
`long` `getFilePointer()`
`long` `length()`
`byte` `readByte()`
`void` `readBytes(byte[] b, int offset, int len)`
`void` `seek(long pos)`

Methods inherited from class org.apache.lucene.store.IndexInput
`readBytes, readChars, readInt, readLong, readString, readStringStringMap, readVInt, readVLong, setModifiedUTF8StringsMode, skipChars`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### position

    protected long position

### length

    protected long length

### directory

    protected DbDirectory directory

### block

    protected Block block

### file

    protected File file

Constructor Detail

### DbIndexInput

    protected DbIndexInput(DbDirectory directory,
                           java.lang.String name)
                    throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `org.apache.lucene.store.IndexInput`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in class `org.apache.lucene.store.IndexInput`
  Throws:
    `java.io.IOException`

### length

    public long length()

  Specified by:
    `length` in class `org.apache.lucene.store.IndexInput`

### readByte

    public byte readByte()
                  throws java.io.IOException

  Specified by:
    `readByte` in class `org.apache.lucene.store.IndexInput`
  Throws:
    `java.io.IOException`

### readBytes

    public void readBytes(byte[] b,
                          int offset,
                          int len)
                   throws java.io.IOException

  Specified by:
    `readBytes` in class `org.apache.lucene.store.IndexInput`
  Throws:
    `java.io.IOException`

### seek

    public void seek(long pos)
              throws java.io.IOException

  Specified by:
    `seek` in class `org.apache.lucene.store.IndexInput`
  Throws:
    `java.io.IOException`

### getFilePointer

    public long getFilePointer()

  Specified by:
    `getFilePointer` in class `org.apache.lucene.store.IndexInput`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.